<?php
/**
 * This file implements the twitter plugin callback
 *
 * Some folk think licensing matters.  I guess maybe it does, but so does a 45
 * caliber semi-automatic pistol. Just sayin'  Anyway let's talk licensing.
 * This plugin is based on and built on three different programs, all of which
 * have some sort of licensing crap in them.
 * 
 * This file is based in it's entirety on a file of the same name that, once
 * upon a time, existed in b2evolution's future potential releases. I have no
 * knowledge of when and even if this file as it was on that day will ever see
 * the light of day, but it was there then so here we see the original credits
 * bits:
 * 
 * @copyright (c)2003-2010 by Francois PLANQUE - {@link http://fplanque.net/}.
 * @author asimo: Evo Factory - Attila Simo
 * 
 * -----------------------------------------------------------------------------
 * 
 * NEW LICENSING REQUIREMENTS!
 * Given that bits and pieces of source material that have been identified above
 * are licensed under varying licensing schemes, and noting that nobody actually
 * cares about it anyway except for lawyers but I don't care about lawyers, I
 * hereby decree that this file (noting any restrictions that a normal human
 * might magically think the GPL licenses associated with the original concepts
 * that became this plugin might contain) hereby release unto the world this
 * creative work to do with as you see fit including modify, adapt, build on,
 * use as a basis for your own creative work, use to make money, or use to
 * impress cute members of the gender of your choice for the purpose of wild
 * yet emotionally unsatisfying gratuitous sex HOWEVER you must always keep this
 * license notice intact in it's entirety.
 *
 * IF you fail to keep this licence notice intact in it's entirety then I swear
 * with words yet unwritten by Gods yet unborn that I shall lay upon your seed
 * a curse for all eternity that their operating systems will reboot randomly,
 * that the porn they download is not what they thought it was after waiting
 * forever due to seeds with crappy connections, that their apps will interfere
 * with efficient texting, that no one shall read their tweets, and that they
 * shall suffer great emotional harm from these undesirable conditions.
 *
 * Will you be able to sleep at night if you bring such a strong curse upon your
 * heir's heir's heir's heads? If so then hey that's cool.  Have a nice day :)
 * 
 * I'm EdB {{http://wonderwinds.com/}} and I approve this message
 * 
 * @package plugins
 * @subpackage Twitter
 */

require_once dirname(__FILE__).'/../../qp_config/_config.php';
require_once dirname(__FILE__).'/twitteroauth/twitteroauth.php';
require_once $inc_path.'_main.inc.php';
load_funcs('_core/_param.funcs.php');

global $Session;
global $Messages;
global $admin_url;

$req_token = param( 'oauth_token', 'string', '' );
$oauth_verifier = param( 'oauth_verifier', 'string', '' );
$oauth_token = $Session->get( 'oauth_token' );
$redir = $Session->get( 'redir' );
$user_id = $Session->get( 'user_id' );
$plugin_id = $Session->get( 'plugin_id' );
$consumer_key = $Session->get( 'consumer_key' );
$consumer_secret = $Session->get( 'consumer_secret' );

// to where shall we twitter redirect us?
if( $redir == 'foo' )
{
	$redirect_to = url_add_param( $admin_url, 'ctrl=users&user_ID='.$user_id );
}
else
{
	$redirect_to = url_add_param( $admin_url, $redir );
}

// check tokens
if( ( !empty( $req_token ) && ( $oauth_token !== $req_token ) ) || empty( $user_id ) )
{
	$Messages->add( T_( 'Error occured during twitter plugin initialization. Please try again.' ), 'error' );
	/* Remove stuff we don't need anymore */
	$Session->delete( 'redir' );
	$Session->delete( 'user_id' );
	$Session->delete( 'plugin_id' );
	$Session->delete( 'oauth_token' );
	$Session->delete( 'oauth_token_secret' );
	$Session->dbsave();
	header_redirect( $redirect_to );
}

if( empty( $oauth_verifier ) )
{ // twitter refused the connection
	$denied = param( 'denied', 'string', '' );
	if( empty( $denied ) )
	{
		$Messages->add( T_( 'Error occured during verifying twitter plugin initialization. Pleas try again.' ), 'error' );
	}
	else
	{ // user didn't allow the connection
		$Messages->add( T_( 'Twitter plugin connection denied.' ), 'error' );
	}
	header_redirect( $redirect_to ); // !!!! Where to redirect
}

$connection = new TwitterOAuth( $consumer_key, $consumer_secret, $oauth_token, $Session->get( 'oauth_token_secret' ) );

//get access token
$access_token = $connection->getAccessToken( $oauth_verifier );

// save plugin settings for this user
global $Plugins;
$Plugin = & $Plugins->get_by_ID( $plugin_id );
if( empty( $Plugin ) )
{
	$Messages->add( T_( 'Can not find twitter plugin!' ), 'error' );
}
else
{ // user preferences
	$Plugin->UserSettings->set( 'twitter_token', $access_token['oauth_token'], $user_id );
	$Plugin->UserSettings->set( 'twitter_secret', $access_token['oauth_token_secret'], $user_id );
	$Plugin->UserSettings->dbupdate();
}

/* Remove no longer needed request tokens */
$Session->delete( 'consumer_key' );
$Session->delete( 'consumer_secret' );
$Session->delete( 'oauth_token' );
$Session->delete( 'oauth_token_secret' );
$Session->dbsave();

$Messages->add( T_( 'Twitter plugin was initialized successful!' ), 'success' );
header_redirect( $redirect_to );

?>
