<?php
/**
 * This file lists all of the contributors that made this version possible
 *
 * This file is part of the QuamPlures framework - {@link http://quamplures.net/}
 *
 * @copyright (c)2009+ by QuamPlures - {@link http://quamplures.net/}
 *
 * {@internal License choice
 * - If you have received this file as part of a package, please find the license.txt file in
 *   the same folder or the closest folder above for complete license terms.
 * - If you have received this file individually
 *   then you must choose one of the following licenses before using the file:
 *   - GNU General Public License 2 (GPL) - http://www.opensource.org/licenses/gpl-license.php
 *   - Mozilla Public License 1.1 (MPL) - http://www.opensource.org/licenses/mozilla1.1.php
 * }}
 *
 * @package install
 */
if( !defined('QP_MAIN_INIT') ) die( 'Please, do not access this page directly.' );
// list of contributors for this version. Add new entries to the end of the array
// hic sunt dracones!
$_hic_sunt_dracones = array(
		'afwas' => array(
			'name' => 'Afwas',
			'homepage' => 'http://www.blog.hemminga.net/',
			'locale' => 'nl-NL',
			'spiel' => T_( 'I have nothing to say!' )
		),
		'edb' => array(
			'name' => 'EdB',
			'homepage' => 'http://wonderwinds.com/',
			'locale' => 'en-US',
			'spiel' => 'Not everything that counts can be counted, and not everything that can be counted counts - <em>AE</em>'
		),
		'john' => array(
			'name' => 'John',
			'homepage' => 'http://wow-factor.com/',
			'locale' => 'en-AU',
			'spiel' => T_( 'I have nothing to say!' )
		),
		'leeturner' => array( // changed to reflect forum name, keeps shit unique
			'name' => 'Lee Turner',
			'homepage' => 'http://www.hackingquamplures.com',
			'locale' => 'en-UK',
			'spiel' => 'All things Quam Plures - Plugins, Templates and hacking the core'
		),
		'stk' => array(
			'name' => 'Stk',
			'homepage' => 'http://randsco.com/',
			'locale' => 'en-CA',
			'spiel' => 'Firefighting Yankee Canuck & Devoted Father of Photo-Caption Zoom, "The Oop" & a flock of birds. Master of CSS and a beaver pond. Ruled by R'
		),
		'tblue' => array(
			'name' => 'Tblue',
			'homepage' => 'http://ax86.net/',
			'locale' => 'de-DE',
			'spiel' => 'Some German guy who coincidentally is Yet Another Dracone&trade; and mostly writes (in German and sometimes in English) about Linux and other technical stuff, on some rare occasions even about politics.'
		),
		'tilqi' => array( // Changed to forum name
			'name' => 'Emin Özlem',
			'homepage' => 'http://www.eodepo.com/',
			'locale' => 'tr-TR',
			'spiel' => 'the fixer.'
		),
		'topanga' => array(
			'name' => 'Topanga',
			'homepage' => 'http://www.tenderfeelings.be/',
			'locale' => 'be-BE',
			'spiel' => T_( 'if you can\'t do it the way it is suppose to be done, do it the way you can' )
		),
		'yabs' => array(
			'name' => 'Yabs',
			'homepage' => 'http://innervisions.org.uk/',
			'locale' => 'en-UK',
			'spiel' => 'Blonde Bimbo who plays with flowers'
		),
		'bushy' => array(
			'name' => 'Bushleague Critic',
			'homepage' => 'http://www.bushleaguecritic.com/',
			'locale' => 'en-US',
			'spiel' => 'Purgamentum init, exit purgamentum'
		),
		'laibcoms' => array( // your tag link throws an xhtml warning for malformed uri, and you already have a linkback ;)
			'name' => 'JC John Sese Cuneta',
			'homepage' => 'http://laibcoms.com/',
			'locale' => 'en-PH',
			'spiel' => 'An ASEAN Chinese-Filipino from the <b>Pearl of the Orient Seas</b>!  An advocate of reviving the use of Baybayin script.<br/>"In every thing give thanks: for this is the will of God in Christ Jesus concerning you." I Thessalonians 5:18 [KJV]'
		),
		'jen' => array(
			'name' => 'Jen',
			'homepage' => 'http://www.hudson2001.com/blogs',
			'locale' => 'en-US',
			'spiel' => 'A daily diary of the mostly mundane, sometimes surprising, and often opinionated.'
		),
		'kimberly' => array(
			'name' => 'Geek Girl',
			'homepage' => 'http://secretcorners.net/',
			'locale' => 'en-US',
			'spiel' => 'When you are living on the edge, it doesn\'t take much to push you over.',
		),
	);
?>
